diff -uN vdr-1.6.0-orig/menu.c vdr-1.6.0-darwin/menu.c
--- vdr-1.6.0-orig/menu.c	2007-10-14 19:43:21.000000000 +0300
+++ vdr-1.6.0-darwin/menu.c	2007-10-14 19:42:19.000000000 +0300
@@ -3521,6 +3521,10 @@
 eOSState cDisplayVolume::ProcessKey(eKeys Key)
 {
   switch (Key) {
+    case kLeft|k_Repeat:
+    case kLeft:
+    case kRight|k_Repeat:
+    case kRight:
     case kVolUp|k_Repeat:
     case kVolUp:
     case kVolDn|k_Repeat:
diff -uN vdr-1.6.0/menu.h vdr-1.6.0-darwin/menu.h
--- vdr-1.6.0/menu.h	2007-08-26 17:35:57.000000000 +0300
+++ vdr-1.6.0-darwin/menu.h	2007-10-14 19:42:19.000000000 +0300
@@ -103,6 +103,7 @@
   cDisplayVolume(void);
 public:
   virtual ~cDisplayVolume();
+  static bool IsOpen(void) { return currentDisplayVolume != NULL; }
   static cDisplayVolume *Create(void);
   static void Process(eKeys Key);
   eOSState ProcessKey(eKeys Key);
diff -uN vdr-1.6.0-orig/vdr.c vdr-1.6.0-darwin/vdr.c
--- vdr-1.6.0-orig/vdr.c	2007-10-14 19:43:21.000000000 +0300
+++ vdr-1.6.0-darwin/vdr.c	2007-10-14 19:42:19.000000000 +0300
@@ -1034,6 +1034,10 @@
                key = kNone; // nobody else needs to see these keys
                break;
           // Volume control:
+          case kLeft|k_Repeat:
+          case kLeft:
+          case kRight|k_Repeat:
+          case kRight:
           case kVolUp|k_Repeat:
           case kVolUp:
           case kVolDn|k_Repeat:
@@ -1046,11 +1050,16 @@
                      }
                   }
                else
-                  cDevice::PrimaryDevice()->SetVolume(NORMALKEY(key) == kVolDn ? -VOLUMEDELTA : VOLUMEDELTA);
+               {
+                  if (key == kVolDn ||  (key == kLeft && cDisplayVolume::IsOpen() ))
+                    cDevice::PrimaryDevice()->SetVolume(-VOLUMEDELTA);
+                  if (key == kVolUp ||  (key == kRight && cDisplayVolume::IsOpen() ))
+                    cDevice::PrimaryDevice()->SetVolume(VOLUMEDELTA);
+               }
                if (!Menu && !cOsd::IsOpen())
                   Menu = cDisplayVolume::Create();
                cDisplayVolume::Process(key);
-               key = kNone; // nobody else needs to see these keys
+ //                 key = kNone; // nobody else needs to see these keys
                break;
           // Audio track control:
           case kAudio:
